Debian Bug report logs - #645673
Please add support for armhf

version graph

Package: tcc; Maintainer for tcc is Thomas Preud'homme <robotux@debian.org>; Source for tcc is src:tcc.

Reported by: Loïc Minier <lool@dooz.org>

Date: Mon, 17 Oct 2011 18:33:05 UTC

Severity: wishlist

Tags: patch

Found in version tcc/0.9.26~git20110616.330d2ee-4

Fixed in version tcc/0.9.26-1

Done: Thomas Preud'homme <robotux@debian.org>

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Aurélien GÉRÔME <ag@debian.org>:
Bug#645673; Package tcc. (Mon, 17 Oct 2011 18:33:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Loïc Minier <lool@dooz.org>:
New Bug report received and forwarded. Copy sent to Aurélien GÉRÔME <ag@debian.org>. (Mon, 17 Oct 2011 18:33:08 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Loïc Minier <lool@dooz.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: Please add support for armhf
Date: Mon, 17 Oct 2011 20:31:54 +0200
[Message part 1 (text/plain, inline)]
Package: tcc
Version: 0.9.26~git20110616.330d2ee-4
Severity: wishlist
Tags: patch

        Hey

 The experimental version of your package built fine on armhf too; would
 you mind adding support per the attached patch?

   Thanks!
-- 
Loïc Minier
[tcc_0.9.26~git20110616.330d2ee-4.1.debdiff (text/plain, attachment)]

Added blocking bug(s) of 645673: 651841, 651840, and 645692 Request was from Thomas Preud'homme <robotux@celest.fr> to control@bugs.debian.org. (Sat, 10 Mar 2012 15:09:04 GMT) Full text and rfc822 format available.

Reply sent to Thomas Preud'homme <robotux@debian.org>:
You have taken responsibility. (Sun, 17 Feb 2013 23:06:11 GMT) Full text and rfc822 format available.

Notification sent to Loïc Minier <lool@dooz.org>:
Bug acknowledged by developer. (Sun, 17 Feb 2013 23:06:11 GMT) Full text and rfc822 format available.

Message #12 received at 645673-close@bugs.debian.org (full text, mbox):

From: Thomas Preud'homme <robotux@debian.org>
To: 645673-close@bugs.debian.org
Subject: Bug#645673: fixed in tcc 0.9.26-1
Date: Sun, 17 Feb 2013 23:02:44 +0000
Source: tcc
Source-Version: 0.9.26-1

We believe that the bug you reported is fixed in the latest version of
tcc, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 645673@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Thomas Preud'homme <robotux@debian.org> (supplier of updated tcc package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Sat, 16 Feb 2013 20:05:48 +0100
Source: tcc
Binary: tcc libtcc-dev
Architecture: source amd64
Version: 0.9.26-1
Distribution: experimental
Urgency: low
Maintainer: Thomas Preud'homme <robotux@debian.org>
Changed-By: Thomas Preud'homme <robotux@debian.org>
Description: 
 libtcc-dev - fast library for dynamic code generation
 tcc        - small ANSI C compiler
Closes: 645673 645692 651840
Changes: 
 tcc (0.9.26-1) experimental; urgency=low
 .
   * New upstream release:
     + Add support for hardfloat calling convention (Closes: #645692).
   * debian/rules:
     + Use DEB_HOST_ARCH to set the default ABI (Closes: #651840).
     + Directly install tcc-doc.html in the right directory instead of relying
       on dh_installdocs.
     + Scripts in /usr/share/doc/tcc/examples contain correct interpreter path
       again.
   * debian/control:
     + Enable build on armhf. (Closes: #645673, thanks Loïc Minier).
     + Update my maintainer email address.
     + Remove Arthur Loiret from Uploaders, as agreed.
     + Remove DMUA flag: it's both unneeded (DD maintenance) and useless now
       (http://lists.debian.org/debian-devel-announce/2012/11/msg00006.html).
   * debian/copyright:
     + Update copyright and licenses according to what has changed in this new
       release and reformat Copyright entries.
     + Update my maintainer email address.
   * debian/patches:
     + Allow preprocessor flags to be passed to upstream Makefile through
       environment.
   * Remove unused lintian overrides about incorrect interpreter and lack of
     fortification.
Checksums-Sha1: 
 1edac647894fe9842b8f0330e14e1853ba818a9b 1891 tcc_0.9.26-1.dsc
 7110354d3637d0e05f43a006364c897248aed5d0 525906 tcc_0.9.26.orig.tar.bz2
 f3112f2915b637c1abce7217ebca7c90e6688a44 12061 tcc_0.9.26-1.debian.tar.gz
 e6dfed019318d76a71dae21409d29f8e74506862 159878 tcc_0.9.26-1_amd64.deb
 98a042e98c738f29a6e4a5a3c7a5a3d817f471a4 139320 libtcc-dev_0.9.26-1_amd64.deb
Checksums-Sha256: 
 fa98c896a1e77f7812e5aba41bef9ded0cd02ad16b6a46cf43e7922bce4da236 1891 tcc_0.9.26-1.dsc
 521e701ae436c302545c3f973a9c9b7e2694769c71d9be10f70a2460705b6d71 525906 tcc_0.9.26.orig.tar.bz2
 0f2b07821d82cd8caa6bbd266b35bbb309dbd81542d65acb9c51c17370d3b2ba 12061 tcc_0.9.26-1.debian.tar.gz
 70af7bd282d70dd708af875e348097eb798df96e973db35022a81e23ee8ef4ff 159878 tcc_0.9.26-1_amd64.deb
 6c483fecb71567dd41de68f07fd2c5021ee12343783b17a9cbefcada808c3ccb 139320 libtcc-dev_0.9.26-1_amd64.deb
Files: 
 f27403dfeb2f4854a40098ef6d946040 1891 devel optional tcc_0.9.26-1.dsc
 5fb28e4abc830c46a7f54c1f637fb25d 525906 devel optional tcc_0.9.26.orig.tar.bz2
 a2ea93ec036bdb33208e8a6020a9d172 12061 devel optional tcc_0.9.26-1.debian.tar.gz
 0e0867ce4461e72aa79a432f14c33194 159878 devel optional tcc_0.9.26-1_amd64.deb
 aa4c4a5be9f2666a47168966853421d8 139320 libdevel optional libtcc-dev_0.9.26-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCAAGBQJRIV0yAAoJENADhS+9UlKeWNMP/3UjFSMYpeGan0IhreIvz0t3
CDOdRgS/V4JuoveX31GOMmivacFhlAHBXvVa8J7eK10E5Yp+Er1POTm2SjkHXx4b
XTKc4qcddu9iNBz8l63pHayCpWd5Lgb2dhGZxVNcVsO6OzXWnIlhDsi6dx5Pk6/b
N1WvBhzUJKp/2zQ/x7noy+/QbOUeQz1KP8kXpTuuWbBzT5c8kQdHjlR+qE5Fxipp
tWlqPria6tCm4sOcKNjv04YiRwhyvAXMCHpgk4EZAfF5ogTw4TiqoRwFnRjbC6LA
8sngLqwDK3HCygaUSVAEo0Oa4oIV+sH+2gJTYtqg1Xli3BU7Uqug90OKL8lL0xWt
1+3NpZrflTq6l/TbY27kzoCrSx2hWY7Wp7xy56wnsCTSTJ+5uzFKQdEZUf8Dyhi6
j1kFRXUNb3KB3uWxsLZCfzp8RmrTB/S0KfX+Q4NncToFCJZkgMf46liZrK4k9Sw7
MflS0xM/BeRq1O7JK9Q/OQnS3tVnRSmgegkBAWIxcgHhQZsWuJp5Sht/LvBxMOYl
3urWnOvO9s7QvsRtEL7zZwmliV56OvXSKgnOFfNaGZavwLG/lUcMmBrBOfz1TYrN
n+nfFq2Wyd5vC3YA53o2272IsVzCi3kFnWCUds5f8XyGXwfFBHlF6EZ4M4vIFbWv
GbhkXmUuo0x5U5bhSx5e
=7iRw
-----END PGP SIGNATURE-----




Changed Bug submitter to 'Loïc Minier <lool@dooz.org>' from 'Loïc Minier <lool@dooz.org>' Request was from Don Armstrong <don@debian.org> to control@bugs.debian.org. (Thu, 21 Mar 2013 21:28:58 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 23:22:48 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.